gtk4 (4.14.5+ds-0ubuntu0.10) noble; urgency=medium

  * d/p/x11-touch: Fix crash when re-attaching XInput touch device
    (LP: #2144632)

 -- Alessandro Astone <alessandro.astone@canonical.com>  Tue, 17 Mar 2026 15:21:46 +0100

gtk4 (4.14.5+ds-0ubuntu0.9) noble; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * d/p: Use long gesture in file chooser, plugging a memory leak (LP: #2085698)

  [ Alessandro Astone ]
  * d/p: Skip tests targeting ngl and vulkan renderers on s390x (LP: #2140984)
  * d/p: Skip memorytexture test on s390x in autopkgtest too (LP: #2140984)

 -- Alessandro Astone <alessandro.astone@canonical.com>  Fri, 06 Feb 2026 15:56:49 +0100

gtk4 (4.14.5+ds-0ubuntu0.8) noble; urgency=medium

  * Fix graphical artifacts after changing display scale in Xorg (LP: #1924689)
  * Fix clicking context menu actions in Xorg (LP: #2130304)

 -- Alessandro Astone <alessandro.astone@canonical.com>  Wed, 21 Jan 2026 16:51:37 +0100

gtk4 (4.14.5+ds-0ubuntu0.7) noble; urgency=medium

  * Fix touchscreen issues on Xorg (LP: #2051886, #2119066, #2119065, #2125309)

 -- Alessandro Astone <alessandro.astone@canonical.com>  Thu, 06 Nov 2025 10:01:54 +0100

gtk4 (4.14.5+ds-0ubuntu0.6) noble; urgency=medium

  [ Sergio Costas Rodriguez ]
  * Default to the Cairo renderer on s390x (LP: #2122598)

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Fri, 26 Sep 2025 15:28:51 +0800

gtk4 (4.14.5+ds-0ubuntu0.5) noble; urgency=medium

  * d/p/lp2105946-gtklistbase-Do-not-select-invalid-positions.patch:
    cherry-pick fix from upstream to fix a crash when pressing the arrow keys
    in an empty directory (LP: #2105946).

 -- Ural Tunaboyu <ural.tunaboyu@canonical.com>  Fri, 08 Aug 2025 09:35:08 -0700

gtk4 (4.14.5+ds-0ubuntu0.4) noble; urgency=medium

  * d/p/skip-s390-tests-lp2119291.patch: skip some gtk4 tests that are failing
    only on s390x (LP: #2119291)
  * Revert: "d/rules: skip some more s390x tests."

 -- Andreas Hasenack <andreas@canonical.com>  Sat, 02 Aug 2025 14:10:23 -0300

gtk4 (4.14.5+ds-0ubuntu0.3) noble; urgency=medium

  * d/rules: skip some more s390x tests. (LP: #2119291)

 -- Utkarsh Gupta <utkarsh@ubuntu.com>  Sat, 02 Aug 2025 01:05:22 +0530

gtk4 (4.14.5+ds-0ubuntu0.2) noble; urgency=medium

  * Fix accessibility groups (LP: #2119005)

 -- Sergio Costas Rodriguez <sergio.costas@canonical.com>  Tue, 29 Jul 2025 15:06:32 +0200

gtk4 (4.14.5+ds-0ubuntu0.1) noble; urgency=medium

  [ Carlos Nihelton ]
  * New upstream release (LP: #2109978)

  [ Simon McVittie ]
  * Depend on libgles2 (Closes: #1077287, LP: #2098698)

  [ Alessandro Astone ]
  * Fix keyboard navigation in lists with only a single item (LP: #2066062)

 -- Alessandro Astone <alessandro.astone@canonical.com>  Fri, 27 Jun 2025 14:24:37 +0200

gtk4 (4.14.2+ds-1ubuntu3) noble; urgency=medium

  * Cherry-pick upstream fix for Orca not reading shortcuts in actions
    (LP: #2106744).

 -- Nathan Pratta Teodosio <nteodosio@ubuntu.com>  Thu, 10 Apr 2025 15:30:28 +0200

gtk4 (4.14.2+ds-1ubuntu2) noble; urgency=medium

  [ Jeremy Bícha ]
  * missing-sources: Update emojibase to match what was done in gtk 4.16.8
    to update the emoji chooser for Unicode 16 (LP: #2096803)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 29 Jan 2025 17:08:55 -0500

gtk4 (4.14.2+ds-1ubuntu1) noble; urgency=medium

  * Update to the current stable version, remaining changes over Debian
  * debian/ignore.keyfile:
    - increase tolerated-diff-pixels to workaround some tests reftests still
      failing the build on s390x despite being in the ignore list
  * debian/patches/ignore_a11ytext_i386.patch:
    - ignore a11y/text and a11y/textview tests on i386 for now, they
      are failing on the builders for some reason
  * d/p/d/tests-Mark-memorytexture-as-expected-to-fail-on-big-endian.patch:
    - mark also memorytexture as expected to fail on big endian
  * debian/rules:
    - disable gsk tests on i386 and arm since they are currently buggy
    - ignore extra reftests that a now failing on s390x
    - set the test_timeout_multiplier default to 3 instead of 1, some of
      the tests hit the timeout default value even on other archs now

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 04 Apr 2024 21:25:10 +0200

gtk4 (4.14.2+ds-1) experimental; urgency=medium

  * New upstream release. Upload to experimental but the tests situation
    is not ideal. Skip some of testsuites to allow building since it seems
    the gsk tests can hit rounding differences depending of the renderer
    in use an the software rendering stack version and build options.
    We saw tests issue also on Ubuntu for s390x and 32 bits architectures
    but I'm not applying workaround for those in Debian yet because they
    are somehow wrong (especially on 32 bits which seems to have real
    upstream issues) and to see if we get the same errors on the Debian
    builders.
  * Update the packaging to no refer to the ffmpeg experimental backend
    which has been removed upstream now
  * debian/rules:
    - skip the gsk compare suites those seem to be giving inconsistant
      results depending on the rendering stack
    - update for the new convert-emoji syntax
  [ Nathan Pratta Teodosio ]
  * debian/rules:
    - Make Bash scripts in installed-tests/gtk-4.0/tools/ executable
      to fix autopkgtests.

  [ Jeremy Bícha ]
  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 04 Apr 2024 18:09:08 +0200

gtk4 (4.12.5+ds-6) unstable; urgency=medium

  * d/control, d/rules: Reinstate colord integration on 32-bit
  * d/control, d/rules: Reinstate build-time tests on 32-bit
  * d/control, d/tests/build: Prefer pkgconf over pkg-config
  * d/control, d/rules: Make it more obvious that we use the correct
    pkgconf.
    We intentionally compile convert-emoji with the build architecture
    pkgconf, because we need to run it during build, but we do not need
    to install it.
  * d/control, d/rules: Only enable sysprof on architectures that have it.
    See #1067577.

 -- Simon McVittie <smcv@debian.org>  Mon, 25 Mar 2024 14:45:21 +0000

gtk4 (4.12.5+ds-5) unstable; urgency=medium

  * d/rules: Replace deprecated -Ddemos with -Dbuild-demos
  * d/control: Don't build-depend on ffmpeg if we are not going to use it.
    The experimental ffmpeg plugin is only built if selected
    by a build-profile, so put an equivalent condition on the
    build-dependencies.
  * d/control, d/rules: Add a pkg.gtk4.nocolord build-profile.
    This is not a reproducible (or "safe") build profile, because it
    changes the contents of the library rather than merely disabling
    whole binary packages, but it cuts off some long dependency chains
    that can be useful during bootstrapping.
  * Temporarily disable colord integration on 32-bit non-x86.
    For the 64-bit time_t transition. colord is a non-essential feature,
    and has not yet been built because it is stuck behind a dependency
    chain: colord, sane-backends, libgphoto2, graphviz.
  * Temporarily disable build-time tests on 32-bit non-x86.
    weston, among others, has not yet been rebuilt for the 64-bit time_t
    transition.

 -- Simon McVittie <smcv@debian.org>  Thu, 21 Mar 2024 13:34:59 +0000

gtk4 (4.12.5+ds-4) unstable; urgency=medium

  * Add patch to adapt build tests to pango 1.52.0
  * Bump Build-Depend pango to 1.52.0 to match

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 09 Mar 2024 20:18:57 -0500

gtk4 (4.12.5+ds-3) unstable; urgency=medium

  * d/rules: Always use Mesa software rendering during the build.
    We do not expect autobuilders to have hardware GPUs available, and
    forcing software rendering makes build-time tests run by developers
    consistent with build-time tests run on autobuilders.
    This also avoids using Zink, which is not usually available on
    autobuilders either (because there is no hardware Vulkan driver),
    but produces messages on stderr that will make some of our tests fail.
    (Closes: #1064704)

 -- Simon McVittie <smcv@debian.org>  Mon, 26 Feb 2024 13:12:57 +0000

gtk4 (4.12.5+ds-2) unstable; urgency=medium

  * Allow stderr for python3-gi autopkgtests to not fail
    tests for zink warnings emitted by mesa

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 26 Jan 2024 15:19:36 -0500

gtk4 (4.12.5+ds-1) unstable; urgency=medium

  * New upstream release
    - Update emoji chooser for Unicode 15.1
  * missing-sources: Update emojibase
  * missing-sources: Copy emoji 15.1 files from Debian's unicode-data package

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 19 Jan 2024 15:20:15 -0500

gtk4 (4.12.4+ds-4) unstable; urgency=medium

  [ Dandan Zhang ]
  * Add loong64 to the list of architectures that have librsvg
    (Closes: #1059613)
  * Extend test timeout on loong64

  [ Jeremy Bícha ]
  * Remove references to obsolete mipsel

  [ Simon McVittie ]
  * d/control: Use dh-sequence-gir to activate debhelper addon
  * d/control: Rely on ${gir:Provides} for gir1.2-gtk-4.0's Provides.
    The version of gobject-introspection in testing now supports this.
  * d/rules: Disable GObject-Introspection in the udeb build.
    debian-installer does not use GTK from an interpreted language and
    is unlikely to do so any time soon.
  * d/control, d/rules: Use a cross g-ir-scanner if cross-compiled
  * d/control: Stop build-depending on libgirepository1.0-dev.
    This package is problematic because it cannot be Multi-Arch
    co-installable, but with recent changes to the Build-Depends, we no
    longer need it.
  * d/control: Don't require python3-gi when not running tests.
    This makes the build-dependencies satisfiable during cross-builds.

 -- Simon McVittie <smcv@debian.org>  Wed, 17 Jan 2024 11:43:08 +0000

gtk4 (4.12.4+ds-3) unstable; urgency=medium

  * d/control: Remove pandoc build-dependency.
    It isn't needed any more, and pandoc is currently uninstallable in
    unstable (#1057309, #1053686).

 -- Simon McVittie <smcv@debian.org>  Sat, 09 Dec 2023 01:33:26 +0000

gtk4 (4.12.4+ds-2) unstable; urgency=medium

  [ Jeremy Bícha ]
  * Reinstate Build-Depends on dh-sequence-gnome.
    This is used by Ubuntu to pull in dh_translations.

  [ Simon McVittie ]
  * d/p/gsk-Always-use-RGBA-on-big-endian-architectures.patch:
    Add proposed patch to fix test failure on big-endian CPUs
    (Closes: #1057782)

 -- Simon McVittie <smcv@debian.org>  Fri, 08 Dec 2023 17:36:22 +0000

gtk4 (4.12.4+ds-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 27 Nov 2023 10:58:51 -0500

gtk4 (4.12.3+ds-3) unstable; urgency=medium

  * d/control: Build-depend on relevant gir1.2-*-dev virtual packages.
    This will help with eventually converting some or all of them into real
    packages, to allow GIR XML to be omitted when cross-compiling or
    bootstrapping.
  * d/control: Add ${gir:Depends} to -dev package.
    This will add dependencies on gir1.2-pango-1.0-dev and so on.
  * d/control: Use ${gir:Provides} to generate virtual package names

 -- Simon McVittie <smcv@debian.org>  Fri, 17 Nov 2023 11:06:27 +0000

gtk4 (4.12.3+ds-2) unstable; urgency=medium

  * d/rules: Stop generating d/control.in from d/control.
    The variable substitutions obscured more than they really helped.
  * d/rules: Substitute GTK_BINVER_DEP as a substvar rather than using sed
  * lbgtk-4-dev: Add Provides for included GIR XML files.
    Representing these by systematic names gir1.2-*-dev, and perhaps
    eventually separating them into their own binary package, will help
    to enable cross-compilation with GObject-Introspection removed by
    a build profile. (Helps: #1030223)

 -- Simon McVittie <smcv@debian.org>  Thu, 02 Nov 2023 14:47:44 +0000

gtk4 (4.12.3+ds-1) unstable; urgency=medium

  * New upstream release
    - GtkWindow:
      + Don't assume titlebars are GtkHeaderBar
        (https://gitlab.gnome.org/GNOME/gtk/-/issues/6116)
    - GtkTreeView:
      + Fix a crash in gtk_tree_view_is_blank_at_pos
        (https://gitlab.gnome.org/GNOME/gtk/-/issues/6114)
    - printing:
      + Fix some issues with the portal implementation
        (https://gitlab.gnome.org/GNOME/gtk/-/commit/03679fe6bf5ae391bd7cb21ad0492f530c86cd5e)
    - GSK:
      + Some optimizations in the GL renderer
        (https://gitlab.gnome.org/GNOME/gtk/-/commit/3698cadcd21e2a52c30766d311043093ea557b3f,
         https://gitlab.gnome.org/GNOME/gtk/-/commit/d4d0883a924f94fdc89fad50bce9ecad3128e0f3,
         https://gitlab.gnome.org/GNOME/gtk/-/commit/0030c572d47f551847be0aed8054d4df34afffda)
      + Fix memory leaks in the Broadway renderer
        (https://gitlab.gnome.org/GNOME/gtk/-/issues/6120)
    - demos:
      + Fix a crash in gtk4-demo
        (https://gitlab.gnome.org/GNOME/gtk/-/issues/6113)

 -- Amin Bandali <bandali@ubuntu.com>  Wed, 04 Oct 2023 16:11:12 -0400

gtk4 (4.12.2+ds-1) unstable; urgency=medium

  * New upstream release
  * Build-Depend on fonts-noto-core instead of fonts-dejavu-core
    & ttf-bitstream-vera

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 22 Sep 2023 10:27:13 -0400

gtk4 (4.12.1+ds-3) unstable; urgency=medium

  [ Amin Bandali ]
  * d/gbp.conf: Change packaging branch to debian/latest

  [ Jeremy Bícha ]
  * Ignore the same reftest failures for riscv64 as for mips64el.
    mips64el uses softpipe on the buildds because we force it to (because
    llvmpipe is broken there), but riscv64 uses softpipe even when not
    forced to, because llvmpipe doesn't exist on riscv64 yet.
    (Closes: #1051168)

  [ Simon McVittie ]
  * d/log-reftests.py: Log uuencoded variant GSK reftest renderings too.
    The variant GSK reftest renderings (flipped, repeated, etc.) might fail
    differently, in which case we will want to look at their outputs.
  * d/rules: Always allow the differences that occur when using softpipe.
    In principle we could be using softpipe on any architecture, if forced.

 -- Simon McVittie <smcv@debian.org>  Mon, 04 Sep 2023 15:28:30 +0100

gtk4 (4.12.1+ds-2) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 27 Aug 2023 19:33:26 -0400

gtk4 (4.12.1+ds-1) experimental; urgency=medium

  * New upstream release
  * Drop 3 patches applied in new release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 26 Aug 2023 10:54:25 -0400

gtk4 (4.12.0+ds-4) experimental; urgency=medium

  * d/rules: Completely ignore border-one-rounded gsk reftest on mips*.
    The actual rendering in the "flipped" mode only differs from the
    reference rendering by one pixel, but that one pixel has a completely
    different value. (Really closes: #1050077)
  * d/clean: Remove generated file po/gtk40.pot (Closes: #1044991)
  * d/libgtk-4-doc.links: Stop including symlinks for pango documentation
    (Closes: #1040470)

 -- Simon McVittie <smcv@debian.org>  Thu, 24 Aug 2023 11:48:45 +0100

gtk4 (4.12.0+ds-3) experimental; urgency=medium

  * d/p/tests-Accept-slightly-different-numeric-results.patch:
    Replace patch for #1050076 with the version accepted upstream.
    This accepts slight numerical differences on all platforms, not
    just i386.
  * d/rules: Accept minor rendering differences for some tests on mips*.
    Presumably these render a bit differently with softpipe.
    (Closes: #1050077)
  * d/p/debian/reftests-Allow-minor-differences-to-be-tolerated.patch:
    Update patch so that when gsk-compare tests are run repeatedly, we
    apply the same error-tolerance each time, not just the first time
  * d/changelog: Reorder to make the history of unstable linear.
    This should avoid the bug tracking system thinking that regressions
    found in 4.12.x also affect 4.10.x.
  * Merge packaging from unstable
    - No further changes, except in the changelog

 -- Simon McVittie <smcv@debian.org>  Wed, 23 Aug 2023 16:43:03 +0100

gtk4 (4.12.0+ds-2) experimental; urgency=medium

  * d/rules: Skip build-time tests that are known to fail or be unreliable.
    Upstream flagged these as failing and skips them in their CI, so there's
    no point in us expecting them to succeed. (Closes: #1050075)
  * Add patch to tolerate different floating-point results on i386.
    Our baseline for i386 still doesn't include SSE, so we still have to use
    i387 instructions with extended precision and sometimes different answers.
    (Closes: #1050076)
  * Ignore another test failure on big-endian machines.
    Similar to #1024391.
  * d/rules: Ignore two reftests that fail on i386 only.
    In these tests, the reference rendering of "Hello world" is as one line,
    but on i386 (possibly due to different rounding) it is word-wrapped onto
    two lines.
  * Add patch to work around a test failure on riscv64.
    Other architectures are occasionally affected by this.
    Thanks to Aurelien Jarno (Closes: #1049434)
  * Merge packaging from unstable
    - No further changes, except in the changelog

 -- Simon McVittie <smcv@debian.org>  Tue, 22 Aug 2023 15:19:11 +0100

gtk4 (4.12.0+ds-1) experimental; urgency=medium

  * New upstream release
  * Restore sysprof integration
  * debian/control.in: Bump minimum glib, gobject-introspection, meson
    & wayland-protocols
  * debian/libgtk-4-bin.install: Install gtk4-rendernode-tool
  * debian/libgtk-4-1.symbols.in: Add new symbols
  * Drop patch marking the clipboard test flaky: applied upstream
  * Cherry-pick patch to fix undefined references
  * Add patch to adapt to Debian's tzdata 2023c-8
  * Add patch to mark headless tests as flaky

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 08 Aug 2023 17:31:01 -0400

gtk4 (4.10.5+ds-5) unstable; urgency=medium

  * d/rules: Ignore two reftests that fail on i386 only.
    In these tests, the reference rendering of "Hello world" is as one line,
    but on i386 (possibly due to different rounding) it is word-wrapped onto
    two lines.
    I previously thought this was a regression between 4.10 and 4.12, but
    it seems that instead, it was triggered by some other component being
    upgraded, possibly fontconfig 2.14.2 or pango 1.51.0.

 -- Simon McVittie <smcv@debian.org>  Tue, 22 Aug 2023 17:20:14 +0100

gtk4 (4.10.5+ds-4) unstable; urgency=medium

  [ Jeremy Bícha ]
  * Restore sysprof integration

  [ Simon McVittie ]
  * d/p/debian/tests-Allow-longer-for-a-dialog-to-open.patch:
    Add patch to work around a test failure on riscv64 by extending an
    arbitrary timeout. Other architectures are occasionally affected by this.
    Thanks to Aurelien Jarno (Closes: #1049434)
  * d/control.in, d/gbp.conf: Use debian/trixie and upstream/4.10.x branches

 -- Simon McVittie <smcv@debian.org>  Tue, 22 Aug 2023 12:11:51 +0100

gtk4 (4.10.5+ds-3) unstable; urgency=medium

  * Temporarily disable sysprof integration altogether, to get the package
    rebuilt

 -- Simon McVittie <smcv@debian.org>  Mon, 07 Aug 2023 09:35:32 +0100

gtk4 (4.10.5+ds-2) unstable; urgency=medium

  * d/control.in: Only use libsysprof-capture-4-dev for shared library.
    libsysprof-capture-4-dev is currently a virtual package provided
    by libsysprof-4-dev, which also includes GTK 4 GUI components
    and so depends on libgtk-4-dev. If the Architecture: amd64 build
    happens to finish before the Architecture: all build starts,
    then the Architecture: all build will fail with an unsatisfiable
    build-dependency: libsysprof-4-dev Depends on libgtk-4-dev, which
    Depends on libgtk-4-common (>= ${source:Version}), which hasn't been
    built yet. The result is that libgtk-4-common can't be built and the
    builds deadlock.
    We've been lucky enough to avoid this until now, but version
    4.10.5+ds-1 was not sufficiently lucky and has become uninstallable
    and unbuildable.
    Because the sysprof integration is part of the architecture-specific
    library, we can break this cycle by only installing libsysprof-4-dev
    when we are building the architecture-specific library, and excluding
    it when we are only building architecture-independent documentation
    and common files.
  * Remove version constraints unnecessary since Debian 11
  * Remove maintscripts unnecessary in any released Debian version
  * d/upstream/metadata: Use preferred Gitlab URLs

 -- Simon McVittie <smcv@debian.org>  Sun, 06 Aug 2023 13:03:36 +0100

gtk4 (4.10.5+ds-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 05 Aug 2023 09:56:12 -0400

gtk4 (4.10.4+ds-2) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 19 Jul 2023 07:53:26 -0400

gtk4 (4.10.4+ds-1) experimental; urgency=medium

  * New upstream release
    - Fix black rectangles seen with mutter 44.1 (LP: ##2020674)
  * Revert a buildsystem change that affected our installed-tests patch

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 05 Jun 2023 15:04:11 -0400

gtk4 (4.10.3+ds-1) experimental; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 11 May 2023 10:45:31 -0400

gtk4 (4.10.1+ds-2) experimental; urgency=medium

  * debian/patches: Add gstreamer-player as subproject.
    It's used by gtk media to play videos, but it's currently in
    gstreamer-plugins-bad. By just including this library inside gtk we can
    avoid having dependency on gstreamer's bad set. (LP: #2011849)
  * debian/control: build-depend on libgstreamer-plugins-base1.0-dev.
    Remove instead dependency on libgstreamer-plugins-bad1.0-dev
  * debian/rules: Also include gstreamer in udebs build.
    We include some gstreamer sources in gtk now, so better to provide some
    debug symbols too
  * debian/control: Recommends libgtk-4-media-gstreamer.
    Gtk media is considered a main element of gtk4, and not providing
    support for it, implies shipping a broken gtk (as upstream sentenced).
    So, let's recommend it. (LP: #2011849)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 23 Mar 2023 18:23:32 +0100

gtk4 (4.10.1+ds-1) experimental; urgency=medium

  * New upstream release
  * Drop combobox patch applied in new release
  * Refresh patch

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 14 Mar 2023 08:43:02 -0400

gtk4 (4.10.0+ds-2) experimental; urgency=medium

  * Cherry-pick patch to fix combo boxes

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 08 Mar 2023 12:43:20 -0500

gtk4 (4.10.0+ds-1) experimental; urgency=medium

  * New upstream release
  * debian/libgtk-4-1.symbols.in: Add new symbols

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 06 Mar 2023 09:18:40 -0500

gtk4 (4.9.4+ds-1) experimental; urgency=medium

  * New upstream release
  * debian/libgtk-4-1.symbols.in: Add new symbols

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 13 Feb 2023 16:14:23 -0500

gtk4 (4.9.3+ds-1) experimental; urgency=medium

  [ Jeremy Bicha, via Ubuntu ]
  * New upstream release 4.9.2
  * Bump minimum glib to 2.72.0
  * debian/libgtk-4-1.symbols.in: Update.
    Some symbols were removed, but they were never considered public ABI.
  * Revert commit dropping installed tests
  * Refresh patch series

  [ Simon McVittie ]
  * d/gbp.conf, d/watch: Branch for experimental
  * New upstream release 4.9.3
  * Drop patches that were applied (some a little differently) upstream
  * Refresh patch series
  * d/copyright: Update
  * d/control.in: Update versions of build-dependencies
  * Drop version constraints that have been satisfied since Debian 10
  * d/libgtk-4-1.symbols.in: Update.
    Ignore removal of gtk_file_dialog_{get,set}_shortcut_folders: they were
    added in the 4.9.x branch and are not yet considered stable ABI.

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 09 Feb 2023 11:43:59 -0500

gtk4 (4.8.3+ds-2) unstable; urgency=medium

  [ Jeremy Bicha ]
  * debian/tests/python3-gi: stop using deprecated method

  [ Simon McVittie ]
  * d/patches: Update to gtk-4-8 branch commit 4.8.3-15-g1ef03e6eb8
    - Optimize column views by not creating list item widgets in columns
      that are not visible (GNOME/gtk!5374)
    - In X11, make sure menus, popovers etc. don't interfere with ability
      to click/select in other applications' windows
      (GNOME/gtk#5364, GNOME/gtk#5400)
    - Do not mark non-user-facing strings as translatable (GNOME/gtk#5146)
    - Fix animations and transitions randomly stopping (GNOME/gtk#4426)
    - Translation updates: ab, tr
  * d/p/gdk-x11-Reset-all-scroll-valuators-on-enter.patch:
    Add patch from 4.9.x to avoid scroll events being sent to more than
    one window under X11 (Closes: #1029972) (LP: #1993594)
  * d/control.in: Fix description of gtk-4-examples, which no longer
    contains installed-tests (which were separated into gtk-4-tests)
  * Add overrides for false positive lintian/lintian!452
  * Standards-Version: 4.6.2 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Sat, 04 Feb 2023 15:14:39 +0000

gtk4 (4.8.3+ds-1) unstable; urgency=medium

  * New upstream release
  * Drop patches that were applied upstream
  * d/tests/run-with-display: Use absolute path to WAYLAND_DISPLAY socket.
    This means we can still use the Wayland display, even when dh_auto_test
    changes our XDG_RUNTIME_DIR.
  * d/run-tests.sh: Use dh_auto_test.
    In particular this forces the C.UTF-8 locale, which should mean the tests
    pass even when run under a non-UTF-8 locale like C (which official Debian
    buildds do not do, but some other environments like reproducible-builds
    might). (Closes: #1027680)
  * d/tests: Quote more defensively
  * d/tests/python3-gi: Explicitly disable a11y.
    This version of GTK logs a warning (which makes the autopkgtest fail)
    if we cannot contact the a11y bus provided by AT-SPI.
  * d/tests/build: Suppress D-Bus/a11y warnings
  * d/tests/build: Avoid PWD bashism
  * d/copyright: Move standalone license stanzas to the end
  * d/copyright: Add details of run-with-display script

 -- Simon McVittie <smcv@debian.org>  Tue, 03 Jan 2023 12:45:21 +0000

gtk4 (4.8.2+ds-4) unstable; urgency=medium

  * d/patches: Update to upstream gtk-4-8 branch commit 4.8.2-27-g5186430d9d
    - Fix visual artifacts on X11
    - Update translations
  * d/patches: Sort Debian-specific patches to the end of the series
  * d/p/testsuite-Use-separate-setups-for-unstable-tests-instead-.patch,
    d/p/testsuite-Don-t-create-.test-files-for-flaky-or-failing-t.patch:
    Add patches from upstream git main to improve handling of
    flaky/failing tests
  * d/p/node-editor-Save-test-data-relative-to-current-working-di.patch:
    Add proposed patch to make the node editor reproducible
  * d/rules: Remove redundant --libdir override
  * d/control.in: Drop unused docbook and xsltproc build-dependencies.
    The man pages now use python3-docutils instead.
  * d/*.install: Don't try to install man pages under nodoc build-profile

 -- Simon McVittie <smcv@debian.org>  Tue, 06 Dec 2022 11:52:29 +0000

gtk4 (4.8.2+ds-3) unstable; urgency=medium

  * Skip border-image-excess-size reftest on big-endian machines.
    Mitigates: #1024391
  * Update to upstream gtk-4-8 branch commit 4.8.2-21-g753c6f2435
    - Trigger on-screen keyboard more reliably
    - Don't dismiss popups unnecessarily

 -- Simon McVittie <smcv@debian.org>  Fri, 18 Nov 2022 22:12:24 +0000

gtk4 (4.8.2+ds-2) unstable; urgency=medium

  * d/watch, d/gbp.conf: Only watch for 4.8.x versions.
    Development release 4.9.1 has already happened, but is unlikely to reach
    a stable branch before the Debian 12 freeze.
  * Build-/test-depend on dbus-daemon instead of dbus.
    We only need dbus-run-session here, not the system bus.
  * d/patches: Update to upstream gtk-4-8 branch commit 4.8.2-18-g205783d9b0
    - Fix handling of AltGr when multiple keyboard layouts use it
    - Fix handling of back/forward mouse buttons
    - Fix a focus handling regression
    - Fix a regression that caused a very narrow combo box drop-down in
      GNOME Settings since 4.8
    - Fix a regression with copying under Phosh since 4.8
    - Don't confine resized windows to the geometry of the first monitor
    - Translation updates

 -- Simon McVittie <smcv@debian.org>  Fri, 18 Nov 2022 09:56:14 +0000

gtk4 (4.8.2+ds-1) unstable; urgency=medium

  * New upstream release
  * d/control.in: Update Meson build-dependency
  * d/copyright: Stop listing wayland and wayland-protocols as excluded.
    They are no longer in the upstream source release.
  * d/patches: Remove patches that were applied upstream

 -- Simon McVittie <smcv@debian.org>  Sat, 29 Oct 2022 11:54:46 +0100

gtk4 (4.8.1+ds-1) unstable; urgency=medium

  * New upstream release
  * debian/libgtk-4-1.symbols.in: Add a new symbol
  * d/control.in: Replace transitional libfontconfig1-dev with
    libfontconfig-dev
  * d/missing-sources: Update for upstream updates to Compose data
  * d/p/gdkevents-Don-t-ignore-modifiers-that-are-not-currently-a.patch:
    Add proposed patch to fix keyboard shortcuts with X11 backend
    (Closes: #1016927)
  * d/p/build-Use-more-conservative-GResource-embedding-on-non-x8.patch:
    Update patch for GResource embedding based on upstream feedback

 -- Simon McVittie <smcv@debian.org>  Sat, 17 Sep 2022 22:23:08 +0100

gtk4 (4.7.2+ds-3) unstable; urgency=medium

  [ Samuel Thibault ]
  * debian/libgtk-4-1.symbols.in: Mark more Wayland symbols as Linux-specific
  * Build-depend on dh-exec
  * Avoid trying to install Wayland documentation on non-Linux
    (Closes: #1017866)

  [ Jeremy Bicha ]
  * Release to unstable

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 21 Aug 2022 17:40:46 -0400

gtk4 (4.7.2+ds-2) experimental; urgency=medium

  * Merge packaging changes from unstable

 -- Simon McVittie <smcv@debian.org>  Tue, 16 Aug 2022 11:24:01 +0100

gtk4 (4.6.6+ds-3) unstable; urgency=medium

  * Branch 4.6.x for unstable
  * d/rules: Force softpipe OpenGL driver on mips* architectures.
    This is a workaround for misrendering and crashes when the buildds run
    tests under llvmpipe on these architectures (see #993550, #1003348,
    #1010838).
  * d/p/debian/Skip-some-known-failing-tests-on-mips-family-architecture.patch:
    Remove patch, stop skipping tests that (should) pass on mips*el when
    we force softpipe.
  * d/p/Work-around-1014417-in-Meson.patch:
    Remove workaround for a Meson 0.63.0 bug that was fixed in 0.63.1
  * d/p/build-Add-an-option-to-use-more-conservative-GResource-em.patch:
    Add a build option to disable the GResource fast-path, and disable it.
    It isn't reliable on non-mainstream architectures, and the compile time
    improvement is not significant if we're compiling all of GTK anyway.
  * d/rules: Enable broadway backend for the .deb build (but not the udeb).
    This is apparently used by Cambalache and Deckard, and also the
    Pidgin unit tests. (Closes: #994944)

 -- Simon McVittie <smcv@debian.org>  Tue, 16 Aug 2022 09:23:59 +0100

gtk4 (4.7.2+ds-1) experimental; urgency=medium

  * New upstream development release
    - Fix crashes involving GL/GLES version selection on PinePhone
      (Closes: #1009917)
  * Repack with wayland and wayland-protocols subprojects omitted.
    The versions in unstable are sufficiently new.
  * d/control.in: Update dependency versions
  * d/copyright: Update
  * Refresh patch series
  * Skip inscription-markup.ui reftest for now.
    The whole thing is rendered 1px offset from where it should be, which is
    not a serious problem for practical use of GTK, but makes the tests fail.
  * d/gtk-4-examples.install: Include the new NodeEditor demo
  * Update symbols file for new ABI

 -- Simon McVittie <smcv@debian.org>  Fri, 12 Aug 2022 11:46:07 +0100

gtk4 (4.6.6+ds-2) unstable; urgency=medium

  [ Evangelos Ribeiro Tzaras ]
  * Drop erroneous !nocheck annotation from python3-gi Build-Depends
    (Closes: #1014878)

  [ Simon McVittie ]
  * Add temporary patch to work around #1014417 in Meson
  * Standards-Version: 4.6.1 (no changes required)
  * Migrate GLib 2.68.0 build-dependency from d/control to d/control.in
  * d/copyright: Drop unused GPL license stanzas
  * d/gtk-4-tests.lintian-overrides: Update syntax for current Lintian

 -- Simon McVittie <smcv@debian.org>  Mon, 08 Aug 2022 19:22:54 +0100

gtk4 (4.6.6+ds-1) unstable; urgency=medium

  [ Jeremy Bicha ]
  * New upstream release (LP: #1980742)

  [ Simon McVittie ]
  * d/tests/installed-tests: Fail on unset variable references
  * d/tests/installed-tests: Fail if no tests are found

  [ Evangelos Ribeiro Tzaras ]
  * Bump required glib build dependency

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 05 Jul 2022 11:24:34 -0400

gtk4 (4.6.5+ds-1) unstable; urgency=medium

  [ Jeremy Bicha ]
  * New upstream release (LP: #1976500)
    - Fixes file chooser getting bigger each time it opens (LP: #1971112)
  * Drop 2 patches applied in new release

  [ Laurent Bigonville ]
  * debian/control.in: Disable librsvg BD on architectures where it's not
    building

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 01 Jun 2022 09:05:45 -0400

gtk4 (4.6.4+ds-3) unstable; urgency=medium

  * d/rules: Stop skipping ngl tests on big-endian machines.
    The ngl renderer no longer exists: it was renamed to gl.
  * d/rules, d/run-tests.sh: Move loop through backends into run-tests.sh.
    This means that if an X11 test fails, we try the Wayland tests (if we
    are running them at all) before failing the build.
  * d/rules: Work around llvmpipe segfault by forcing softpipe on mipsel
    for build-time tests. (Mitigates: #1010838)
  * d/control.in: Move gi-docgen to Build-Depends-Indep.
    We correctly disable the gi-docgen-generated documentation when only
    building architecture-dependent packages.
  * d/control.in: Drop build-dependencies that were only there for gi-docgen.
    Now that we're using the packaged gi-docgen instead of the bundled copy,
    there's no need to depend on its dependencies explicitly.

 -- Simon McVittie <smcv@debian.org>  Sun, 15 May 2022 00:27:01 +0100

gtk4 (4.6.4+ds-2) unstable; urgency=medium

  * Cherry-pick patch to fix pasting into the filechooser name field
    (LP: #1971532)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 14 May 2022 10:05:42 -0400

gtk4 (4.6.4+ds-1) unstable; urgency=medium

  * New upstream release
  * Drop patches applied in new release
  * Cherry-pick patch to fix an invalid format string
  * Use gi-docgen to build docs

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 13 May 2022 16:26:26 -0400

gtk4 (4.6.3+ds1-2) unstable; urgency=medium

  * Cherry-pick gtk-4-6 patch needed for mutter 42.1 (LP: #1972722)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 09 May 2022 16:48:11 -0400

gtk4 (4.6.3+ds1-1) unstable; urgency=medium

  * New upstream release
  * d/copyright: Exclude gtk/theme/Default/Default-*.css.
    We already deleted them during clean.
  * d/copyright: Stop excluding subprojects/wayland.
    It's no longer included in tarballs.
  * d/patches: Update to upstream gtk-4-6 branch commit 4.6.3-9-g045446c3da
    - Work around infinite loop in box allocation (Closes: #1010547)
    - Make it easier to select the current folder with a file chooser
    - Fix saving into a subdirectory with a file chooser
    - Translation updates
  * d/log-reftests.py: Update names of GSK renderers
  * d/rules, d/run-tests.sh: Add infrastructure to ignore failing GSK tests.
    Similar to reftests, these can be fragile against varying versions of
    dependencies.
  * d/rules: Ignore unaligned-offscreen GSK comparison test.
    Workaround for GNOME/gtk#4889.

 -- Simon McVittie <smcv@debian.org>  Wed, 04 May 2022 11:30:16 +0100

gtk4 (4.6.2+ds-1) unstable; urgency=medium

  * New upstream release
  * d/missing-sources/emojibase: Update to emojibase-data 7.0.1, matching
    the data files in gtk/emoji
  * d/rules: Improve regeneration of emoji data
  * d/missing-sources: Add Unicode emoji data.
    The JSON data files in d/missing-sources/emojibase are indirectly
    derived from this.
  * d/copyright: Update
  * d/p/debian/Disable-optimized-GResource-embedding.patch: Remove.
    The upstream code now disables this on the architectures where it is
    known to be problematic, namely 32-bit ARM.

 -- Simon McVittie <smcv@debian.org>  Sun, 20 Mar 2022 17:51:43 +0000

gtk4 (4.6.1+ds-1) unstable; urgency=medium

  * New upstream release
  * Drop patches that were applied upstream
  * d/control.in: Update build-dependency versions
  * d/copyright: Update
  * d/watch: Repack with wayland subproject excluded, we use the system copy
  * d/run-tests.sh: Show full test log after testing

 -- Simon McVittie <smcv@debian.org>  Wed, 16 Feb 2022 16:55:50 +0000

gtk4 (4.6.0+ds1-4) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Wed, 09 Feb 2022 13:25:53 -0500

gtk4 (4.6.0+ds1-3) experimental; urgency=medium

  * Skip another known-failing test on mips*el (see #993550)
  * Add mips*el bug reference to previous changelog entry

 -- Simon McVittie <smcv@debian.org>  Sat, 08 Jan 2022 22:47:19 +0000

gtk4 (4.6.0+ds1-2) experimental; urgency=medium

  * d/p/png-Correct-endianness-for-big-endian-machines.patch:
    Add proposed patch to fix FTBFS on s390x
  * d/p/debian/Skip-some-known-failing-tests-on-mips-family-architecture.patch:
    Skip another known-failing test on mips family (see #1003348)
  * d/p/debian/Disable-optimized-GResource-embedding.patch:
    Disable optimized GResource embedding.
    This seems to be triggering failures on armel and armhf. Second-guessing
    GResource seems to be more trouble than it's worth.
  * d/rules: Rebuild CSS using sass

 -- Simon McVittie <smcv@debian.org>  Sat, 08 Jan 2022 18:40:18 +0000

gtk4 (4.6.0+ds1-1) experimental; urgency=medium

  * New upstream release
  * Rebase patch series
    - d/p/debian/testsuite-Don-t-test-the-old-gl-renderer.patch:
      Drop, no longer needed
  * d/control.in: Update build-dependencies
  * d/copyright: Update
  * d/rules: Don't build man pages under nodoc build-profile
  * d/source/include-binaries, d/rules:
    Remove workaround for Compose endianness handling, no longer necessary
  * Update symbols file
  * d/p/Make-our-stack-noexec.patch:
    Add patch from upstream fixing regressions from optimized GResource
    processing
  * d/p/build-Tell-glib-compile-resources-to-make-symbols-interna.patch:
    Add proposed patch to reduce unwanted symbol exports
  * Upload to experimental for initial testing

 -- Simon McVittie <smcv@debian.org>  Tue, 04 Jan 2022 18:14:08 +0000

gtk4 (4.4.1+ds1-3) unstable; urgency=medium

  * debian/control.in: Don't build ffmpeg backend on architectures where
    ffmpeg doesn't build
  * debian/rules: Build with cloudproviders support (except on Ubuntu)
  * debian/rules: Enable sysprof support on Linux

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 29 Nov 2021 18:18:30 -0500

gtk4 (4.4.1+ds1-2) unstable; urgency=medium

  * d/control.in, d/rules: Gate libgtk-4-media-ffmpeg with a build-profile.
    If we only build it for experimental uploads, but there is no version
    currently in experimental, then its entry in the overrides file will be
    removed after a while, causing the next upload to be considered NEW.

 -- Simon McVittie <smcv@debian.org>  Fri, 05 Nov 2021 16:46:50 +0000

gtk4 (4.4.1+ds1-1) unstable; urgency=medium

  [ Jeremy Bicha ]
  * debian/rules: Correctly enable auto features for deb build

  [ Simon McVittie ]
  * New upstream release
  * Rebase patch series, dropping patches that were applied upstream
  * d/copyright: Update
  * libgtk-4-dev Suggests gtk-4-examples (Closes: #995752)
  * Stop enabling a Meson option that no longer exists.
    This was merely a warning with Meson 0.59, but is an error with
    Meson 0.60. (Closes: #998551)
  * Standards-Version: 4.6.0 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Fri, 05 Nov 2021 12:54:16 +0000

gtk4 (4.4.0+ds1-5) unstable; urgency=medium

  * Sort patch series in upstream-first order
  * d/p/debian/Disable-clipboard-test.patch:
    Add patch to disable clipboard test, which regularly times out on
    buildds

 -- Simon McVittie <smcv@debian.org>  Fri, 03 Sep 2021 15:08:47 +0100

gtk4 (4.4.0+ds1-4) unstable; urgency=medium

  [ Simon McVittie ]
  * Simplify graphene dependency.
    The version in bullseye is sufficient for all architectures.
  * Drop dependency from libgtk-4-common to libgtk-3-common.
    This was put in place because they used to share GSettings schemas,
    but that's no longer the case.
  * Remove dependency from libgtk-4-bin to libgtk-3-bin.
    This was because they used to share gtkbuilder.its and gtkbuilder.loc,
    but those have been replaced by their gtk4builder counterparts, in
    libgtk-4-dev.
  * Remove dependency from gtk-4-examples to gtk-3-examples.
    This was because the demos shared GSettings schemas, but they no longer
    have the same name.
  * Remove alternative dependency on libgdk-pixbuf2.0-dev.
    We don't support skipping a Debian release, and this package's
    dependencies make it unlikely to be backported.
  * d/rules: Don't enable ffmpeg when experimental builds are copied to Ubuntu
  * d/p/reftest-compare-Treat-colour-channels-as-undefined-if-alp.patch:
    Add patch to ignore colour differences on pixels with zero alpha.
    This makes some of the remaining failing tests pass on mips*el.
  * d/p/debian/testsuite-Don-t-test-the-old-gl-renderer.patch:
    Add patch to disable testing of the old 'gl' renderer.
    The newer 'ngl' renderer is already the default, and 'gl' was removed
    upstream in 4.5.x, so 'gl' doesn't seem worthwhile to try to support.
    It also crashes in a couple of tests on mips*el. Let's focus testing
    effort on the renderer that has a future.
  * d/p/debian/Skip-some-known-failing-tests-on-mips-family-architecture.patch:
    Add patch to skip remaining failing gsk tests on mips*el
    (workaround for #993550)
  * Release to unstable (Closes: #992907)

  [ Jeremy Bicha ]
  * Build-Depend on libsysprof-capture-4-dev instead of sysprof
    in preparation for the sysprof package split (see #971243).
    Depend on version 3.40 to avoid re-exporting its symbols in our ABI.

 -- Simon McVittie <smcv@debian.org>  Fri, 03 Sep 2021 08:52:36 +0100

gtk4 (4.4.0+ds1-3) experimental; urgency=medium

  * Disable Broadway (HTML) backend.
    It isn't clear whether this is used in practice. If we disable it now,
    enabling it later if requested will not be an ABI break, but if we
    enable it now, we have to keep it enabled indefinitely.
  * d/missing-sources: Add source for libX11-derived compose sequences.
    By trial and error, the files in gtk/compose/ seem to be generated from
    libX11 1.7.0.
  * d/p/compose-Generate-endian-dependent-compact-Compose-data.patch,
  * Add proposed patch to use big-endian compose data on big-endian host,
    keeping the existing little-endian version for little-endian hosts.
    This resolves a FTBFS caused by test failure on s390x and other
    big-endian ports.
  * d/p/compose-Document-how-to-get-compose-parse-input-from-libX.patch
    Document how to reproduce the compose data. We don't do this at build
    time, because the compose data is relatively rarely updated, and
    during cross-compilation that would require building all of GTK for
    both the build and host architectures.
  * d/p/compose-Update-sequences-from-libX11-1.7.2.patch:
    Update compose data from libX11 1.7.2.
    This adds a few missing compose sequences.

 -- Simon McVittie <smcv@debian.org>  Mon, 30 Aug 2021 13:33:17 +0100

gtk4 (4.4.0+ds1-2) experimental; urgency=medium

  * Completely move .links files to debhelper syntax (Closes: #991964)
  * Always expect NEWS to be compressed (Closes: #985418).
    debhelper always compresses NEWS files, even if they are small.

 -- Simon McVittie <smcv@debian.org>  Sat, 28 Aug 2021 15:15:44 +0100

gtk4 (4.4.0+ds1-1) experimental; urgency=medium

  * New upstream stable release
  * d/control.in: Update dependencies
  * d/copyright: Update
  * Update symbols file for new ABI
  * d/watch: Only watch for stable releases.
    If we want GTK 4.4.x to move to unstable any time soon, we should
    avoid packaging GTK 4.5.x when it becomes available.
  * d/rules: Fix variable reference in dh_fixperms override

 -- Simon McVittie <smcv@debian.org>  Tue, 24 Aug 2021 10:24:58 +0100

gtk4 (4.3.2+ds1-1) experimental; urgency=medium

  * New upstream release
  * d/watch, d/copyright: Exclude pregenerated documentation.
    There's a lot of it, and excluding it makes the diff to review a lot
    smaller.
  * d/control.in: Bump meson requirement as per meson.build
  * d/control.in: Remove build-dependencies for Google Cloud Print.
    The service underlying this printing backend was shut down at the end
    of 2020, so the printing backend is no longer useful and was removed
    upstream.
  * Drop patches that were applied upstream
  * d/rules: Rebuild emoji data from source files.
    This provides a straightforward way to check that we have the correct
    source files.
  * Disable GStreamer for the udeb build.
    Support for VP8 and VP9 is officially part of the GTK4 API, but it seems
    OK to provide a reduced API in debian-installer.
  * Label the FFmpeg media backend as experimental, and only build it when
    targeting experimental.
    Upstream consider it to be experimental, and recommend the GStreamer
    backend.
  * tests: Specify locales' charsets explicitly, fixing FTBFS with new glibc.
    glibc 2.31-14 dropped support for all non-UTF-8 locales, so we can't
    use /usr/share/i18n/SUPPORTED to choose a suitable charset any more.
  * Update symbols file
  * Leave Vulkan disabled, and remove Vulkan symbols from .symbols file.
    This is an ABI break, but GTK4 is only in experimental so far, so that
    seems acceptable. The Vulkan renderer is marked as experimental upstream,
    with a note that it often causes crashes in the Inspector view; this
    sounds like something we likely don't want yet.
  * d/rules: Override dh_fixperms to set correct permissions on /usr/libexec.
    Making everything executable is not quite right for installed-tests.
  * d/copyright: Update
  * Silence a Lintian tag for documentation-like filenames among test data

 -- Simon McVittie <smcv@debian.org>  Fri, 20 Aug 2021 11:43:41 +0100

gtk4 (4.3.1+ds-2) experimental; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * debian/rules: Add upstream bug mentioning test failures
  * debian/rules: Use Enable auto-features for debs and disable them for
    udebs. Avoid listing managing this manually, while explicitly disable or
    enable when something is required.
  * debian: Add libgtk-4-media-gstreamer package to provide a media module
  * debian: Add libgtk-4-media-ffmpeg package to provide a media module
  * debian: Add support for libcloudproviders in debian. While keep this
    disabled for ubuntu as it's not in main repo.
  * debian: Enable sysprof support under linux. We need to manually add
    sysprof dev dependencies as these are only suggestions.
  * debian/rules: Do not build tests in udeb case

  [ Iain Lane ]
  * rules: Only skip the cloud providers on Ubuntu itself. For everything
    else the main/universe distinction doesn't apply. Fixup to Marco's earlier
    change.
  * copyright: Fix dep5-copyright-license-name-not-unique. CC0-1.0 was
    defined twice

 -- Iain Lane <laney@debian.org>  Mon, 26 Jul 2021 12:56:55 +0100

gtk4 (4.3.1+ds-1) experimental; urgency=medium

  * debian: Use dh 13 substitutions for install files instead of .in files
  * debian/control: move gi-docgen dependencies to bd-indep and remove warn
  * debian/log-reftests.py: Remove wrong wayland paths
  * debian/copyright: Update copyright for gi-docgen excluding fonts
  * debian/watch: Repack using ds suffix as per the d/copyright exclusions
  * debian/libgtk4-doc.links: Add links as devhelp books instead of gtk-doc
  * Repack excluding web font files

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 14 Jul 2021 05:35:40 +0200

gtk4 (4.3.1-1) experimental; urgency=medium

  * New upstream release:
    - Ignore XErrors from the COW (LP: #1911036)
  * debian/control: Update build-dependencies
  * debian/patches: Refresh
  * debian/control: Add dependencies to use upstream provided gi-docgen
    gi-docgen is still in NEW for some months now, so until that we can
    manually use the upstream provided version as subproject.
  * debian/patches: Prevent usage of web-fonts and external links in docs
  * debian/rules: Do not check for nocheck with dh 13
  * debian/rules: Do not manually build docs at build phase.
    This is now handled by gi-docgen that is called at build phase, not at
    install phase.
  * debian/control: Add python3-gi as test build dependency.
    It's needed by introspection tests
  * debian/libgtk-4-1.symbols.in: Add new symbols
  * debian/libgtk-4-doc.*: Adapt install files and links to gi-docgen paths.
    Docs are installed all in /usr/share/docs/libgtk-4-doc subfolders and
    linked to /usr/share/gtk-doc to keep devhelp support
  * debian/patches: Get typelib path from pkg-config
  * debian/rules: Ensure all symbols are defined.
    This is now working fine with all the components
  * debian/rules: Do not reset xvfb on running tests
  * debian/rules: Support running tests in parallel.
    This works fine now, so let's enable it again
  * debian/rules: Move test script to an easier to maintain external file.
    We're doing lots of operations to run tests, it's better to have the
    setup in an external script that it's easier to run, debug and maintain
  * debian/run-tests.sh: Only print full log on errors.
    No need to output the whole log if there have been no failures
  * debian: Run tests under wayland too in linux.
    It's now becoming the default backend so better to also test the library
    there.
  * debian/patches: Initialize the textbtree tags counting causing s390x fails
  * debian/rules: Skip some broken comparison tests in big endian archs
  * debian/tests: Port to Gtk4 and run them both in wayland and x11

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 09 Jul 2021 16:31:39 +0200

gtk4 (4.0.3-4) experimental; urgency=medium

  * d/log-reftests.py: Collect more test results
  * d/rules: Don't export build results for tests that upstream expect
    to fail
  * d/rules: Update comments regarding failing tests that need to be
    processed

 -- Simon McVittie <smcv@debian.org>  Mon, 22 Feb 2021 10:56:12 +0000

gtk4 (4.0.3-3) experimental; urgency=medium

  * d/patches: Adjust forwarding URL for refactoring
  * d/patches: Never mark rendering differences as accepted, only tolerated.
    Upstream consider absolutely any difference in rendering to be an error,
    so we should always record the diff for inspection.
  * Force installation of fontconfig's preferred fonts for tests.
    The experimental dependency resolver is non-deterministic and can
    choose various different fonts, some of which make the reftests fail.
    Force its hand by choosing the fonts that fontconfig prioritizes highest,
    so that we get deterministic results.
  * d/patches: Fix error reporting in gsk reftests.
    The gsk reftests don't use the GTest framework, so g_test_fail will have
    no effect here.

 -- Simon McVittie <smcv@debian.org>  Mon, 15 Feb 2021 10:46:01 +0000

gtk4 (4.0.3-2) experimental; urgency=medium

  * Tolerate minor differences in some reftests
  * d/rules: Show the detailed test log even if tests all succeed
  * d/rules: Dump reftest differences into the log as base64.
    Debian package builds don't have an equivalent of $AUTOPKGTEST_ARTIFACTS
    (as requested in https://bugs.launchpad.net/launchpad/+bug/1845159) so
    this is the best we can do right now.

 -- Simon McVittie <smcv@debian.org>  Sun, 14 Feb 2021 14:28:39 +0000

gtk4 (4.0.3-1) experimental; urgency=medium

  * New upstream release
  * symbols: Ignore removal of gtk_glade_catalog_init.
    This symbol appeared in the ABI, but not in any header files, and is
    considered private.
  * d/rules: Show test log if build-time test fails.
    dh_auto_test would automatically show meson-logs/testlog.txt, but
    because we're running with --setup=x11, we get
    meson-logs/testlog-x11.txt instead.
  * Increase dependency on librsvg2-common from Suggests to Recommends.
    This is not a hard dependency, but should be installed in nearly all
    cases. Increasingly many icons are provided in SVG format, so
    applications will appear broken if the SVG pixbuf loader is not
    installed. See #980396 for more information.
    adwaita-icon-theme already Recommends librsvg2-common, but people who
    routinely do not install recommended packages will get a better hint
    about how much will be broken by its removal if GTK also recommends it.
  * Bump graphene build-dependency to 1.10.4 on i386.
    Earlier versions used SSE, which has stricter alignment requirements
    that cause many of the build-time tests to fail (in addition to not
    being available on Debian's baseline CPU).
  * d/rules: Add a note of the test failures that need investigation
  * d/rules: Extend test timeout on slower architectures
  * Add myself to Uploaders

 -- Simon McVittie <smcv@debian.org>  Fri, 12 Feb 2021 10:05:16 +0000

gtk4 (4.0.1-1) experimental; urgency=medium

  * Team upload
  * New upstream release
  * d/rules: Force recompilation of CSS with sassc

 -- Simon McVittie <smcv@debian.org>  Tue, 12 Jan 2021 18:45:15 +0000

gtk4 (4.0.0-1) experimental; urgency=medium

  * Team upload
  * New upstream release
    - Bump SONAME to libgtk-4.so.1 to reflect incompatibility with 3.9x.y
      development releases
  * Rename source package to gtk4 while we're going through NEW anyway.
    This reflects the upstream name of the library (formerly GTK+,
    now GTK) and avoids "+" being misinterpreted as a space in URLs.
  * Bump required version for all symbols to 4.0.0
  * Add Provides for gir1.2-gdkwayland-4.0 on Linux
  * d/copyright: Remove unused GPL-2+ paragraph
  * d/copyright: Remove unused autoconf-archive paragraph
  * Standards-Version: 4.5.1 (no changes required)
  * Add a Lintian override for #970275
  * d/tests: Reduce number of tests marked as flaky
  * Add iso-codes as a Recommends, and depend on it for tests
  * Disable gvfs and other GIO modules for build-time tests.
    If running on a developer system, we don't want to interact with
    "larger" components like gnome-online-accounts.
  * Make build-time test failures fatal
  * Add missing libxdamage-dev (build-)dependency
  * Preferentially build-depend on libgdk-pixbuf-2.0-dev.
    We don't need the deprecated Xlib integration that is also pulled in
    by the older libgdk-pixbuf2.0-dev package (see #974870).
  * d/changelog: Remove trailing whitespace
  * Replace XC-Package-Type with Package-Type
  * Use https for Homepage
  * d/watch: ".." is not a version number
  * Bump build-dependency on Glib to 2.66
  * Split gtk-4-tests into its own package
  * libgtk-4-1 Breaks/Replaces experimental libgtk-4-0.
    Both packages contain the print backends, which do not contain the
    SONAME in their names. We anticipate that if the SONAME was bumped in
    future, the "4.0.0" in the module loading path would also change, so
    this isn't a problem for Policy §8.2; the only reason the path didn't
    already change here is that versions prior to 4.0.0 were development
    snapshots and explicitly not API- or ABI-stable.
    Moving the print backends to a separate package would create a circular
    dependency (since libgtk-4-1 would need at least a Recommends on the
    print backends, and the print backends depend on the main library),
    and would not actually help co-installability with a future libgtk-4-2,
    since they should be upgraded in lockstep.
  * Remove obsolete Breaks copied from GTK 3

 -- Simon McVittie <smcv@debian.org>  Sun, 27 Dec 2020 00:23:58 +0000

gtk+4.0 (3.99.4-1) experimental; urgency=medium

  * Team upload
  * New upstream release
  * Build with system copy of gtk-doc
    - d/gbp.conf: Stop adding gtk-doc as a second orig tarball
    - d/rules: Don't symlink gtk-doc into subprojects
    - Remove references to bundled gtk-doc
  * d/control.in: Update dependencies
  * d/copyright: Mention CC0-1.0
  * Drop patches, applied upstream
  * d/rules: Update Meson build options
  * Stop installing NodeEditor icons.
    They're embedded in the executable via GResource now.
  * d/libgtk-4-0.symbols.in: Update
  * run-with-locales: Normalize utf8 to UTF-8 without using SUPPORTED file
  * d/tests/run-with-locales: Move from d/run-with-locales.
    This makes tab-completion for d/rules work better.
  * d/rules: Change introspection from true to enabled.
    Similarly, change it from false to disabled for the udeb.
    It's now a feature flag, rather than a boolean.
  * d/libgtk-4-common.install.in: Install emoji data files

 -- Simon McVittie <smcv@debian.org>  Fri, 06 Nov 2020 22:56:34 +0000

gtk+4.0 (3.99.0-2) experimental; urgency=medium

  * Team upload
  * Bundle a copy of gtk-doc from the gtk-doc-for-gtk4 branch.
    Until support for GTK 4 actions is merged into gtk-doc git master,
    including a suitable copy of gtk-doc in this source package lets us
    build it without experimental's gtk-doc having to be the GTK 4 version.
    It's currently version GTK_DOC_1_32-57-g3651bf3 from the
    gtk-doc-for-gtk4 branch.
    - Add dependencies of gtk-doc-tools to Build-Depends-Indep
    - Add patch to skip Yelp manual for bundled gtk-doc
    - Don't try to install files from the bundled gtk-doc
    - d/copyright: Add copyright information for bundled gtk-doc
  * d/copyright: Update copyright information for AppStream data

 -- Simon McVittie <smcv@debian.org>  Tue, 25 Aug 2020 12:45:30 +0100

gtk+4.0 (3.99.0-1) experimental; urgency=medium

  * Team upload
  * New upstream release
    - Update d/copyright
    - Update build-dependencies according to meson.build
      + Remove ATK dependencies
    - Remove "fake SONAME" mechanism.
      The library is now built as libgtk-4.so.0 (although the ABI is still
      not yet stable).
    - Bump minimum version for all symbols to 3.99.0 for the new SONAME and
      numerous ABI breaks
    - Drop patch, applied upstream
    - Update symbols file
    - Build-Depend on a suitable snapshot of gtk-doc from experimental
    - Install more example files
  * d/tests/build, d/tests/python3-gi: Suppress AT-SPI warnings.
    We don't need a11y here, so use NO_AT_BRIDGE=1 to suppress the warning
    about org.a11y.Bus being unavailable.
  * d/copyright: Collapse most permissive licenses into Files: * stanza.
    I'm not going to try to keep track of which files are under which
    specific LGPL-compatible licenses; please see the source code if this
    information is needed.
  * Depend on librsvg2-common for tests, to be able to load SVG icons.
    adwaita-icon-theme used to depend on this, but doesn't any more.
  * Try to split out flaky and non-flaky tests.
    Both sets are marked as flaky for now, but hopefully the less-flaky set
    can be promoted to non-flaky to catch regressions when GTK 4 gets more
    stable.
  * Run the build-time tests under X11 for now.
    We don't have an equivalent of xvfb-run for Wayland yet.
  * Move to debhelper compat level 13.
    Adjust dh_auto_test arguments accordingly: they were previously passed
    to `ninja test` and are now for `meson test`.
  * Depend on fonts-cantarell for tests
  * Run build-time tests with a D-Bus session bus via dbus-run-session
  * d/p/testsuite-Fix-installed-tests.patch,
    d/p/installed-tests-Fix-the-icontheme-test.patch,
    d/p/cups-Don-t-emit-a-warning-if-we-can-t-talk-to-avahi.patch,
    d/p/cloudprint-Fix-redundant-declarations.patch:
    Add patches from upstream for some tests/warnings fixes
  * d/p/roaring.-ch-Add-attribution-and-licensing-information.patch,
    d/p/Include-a-copy-of-the-Apache-license.patch:
    Add proposed patches to add copyright/licensing info for code adapted
    from libroaring (src:croaring in Debian).
  * d/rules: Rely on debhelper 13 to reset HOME, etc.
  * d/rules: Stop setting VERBOSE, it was only relevant with Autotools
  * d/rules: Explicitly enable Xinerama for non-udeb build
  * d/rules: Disable examples, demos, installed tests for udeb build
  * d/control.in: Annotate -doc package with <!nodoc>
  * d/control.in, d/rules: Don't build demos, examples, installed-tests
    under <!noinsttest>
  * d/rules: Disable GObject-Introspection for udeb build
  * d/rules: Explicitly build documentation during build step.
    By default this is only done during the install step, because gtk-doc
    is relatively slow and cannot tell Meson how its dependency tree looks.
    However, for GTK that breaks some dependency tracking, leading to
    required Docbook files not being generated from their Markdown source.

 -- Simon McVittie <smcv@debian.org>  Sun, 09 Aug 2020 14:49:14 +0100

gtk+4.0 (3.98.2-1) experimental; urgency=medium

  * New upstream release
  * Bump pango dependency as per meson.build
  * Drop patch, applied upstream
  * Install new valgrind suppressions files
  * Add patch from git master to make valgrind suppressions work on Debian
  * Update symbols file for ABI breaks and additions

 -- Simon McVittie <smcv@debian.org>  Fri, 10 Apr 2020 22:00:07 +0100

gtk+4.0 (3.98.0-1) experimental; urgency=medium

  * Team upload
  * New upstream release
    - Drop all patches, applied upstream
    - d/control.in: Update build-dependencies
    - d/rules: Update SONAME
    - d/rules: Adjust build options for rename of documentation to gtk_doc
    - debian/libgtk-4-0.symbols.in: Update
  * d/rules: Sort build options
  * d/run-with-locales, d/rules, d/tests/installed-tests:
    Generate locales used by the tests
  * debian/libgtk-4-0.symbols.in: Mark more Wayland and Vulkan symbols
    as (arch=linux-any). These don't exist on hurd-i386, and presumably
    not on kFreeBSD either.
  * Move gtk4-encode-symbolic-svg from gtk-4-examples to libgtk-4-bin.
    It's more of a development tool than an example.
  * d/tests/python3-gi: Explicitly return GLib.SOURCE_REMOVE.
    Implicitly returning None is OK, but explicit is better than implicit.
  * d/tests/python3-gi: Make executable
  * d/tests/build, d/tests/python3-gi: Mark as superficial
  * d/tests/build: Use correct compiler for proposed autopkgtest
    cross-architecture testing support, based on a patch for clutter-1.0
    by Steve Langasek
  * d/tests/build: Fix shellcheck warnings
  * d/tests/build: Show commands before they are executed
  * d/tests/build: Fail if using an undefined variable ("unofficial strict
    mode")
  * d/upstream/metadata: Add upstream URLs
  * d/copyright: Simplify and consolidate (see individual source files if
    finer detail is required)
    - Stop distinguishing between LGPL 2+ and 2.1+, list both as
      "LGPL-2+ and LGPL-2.1+"
    - Stop distinguishing between code and translations
    - Merge copyright years
    - Merge entries differing only by email address
    - Stop repeating "Copyright (C)"
    - Indent with a single space
  * Standards-Version: 4.5.0 (no changes required)
  * Don't build HTML documentation in Architecture: any builds.
    With Autotools, we would have had to leave gtk-doc-tools in the
    Build-Depends for gtkdocize, but with Meson we can demote it to
    Build-Depends-Indep.
    Promote docbook-xml and docbook-xsl to Build-Depends instead: they are
    needed in all builds for the example programs' man pages. Previously,
    they were pulled in by gtk-doc-tools.
  * d/p/build-Install-gtkemojichooser.h.patch:
    Add patch from upstream to fix installation of headers
  * d/.gitignore: Add

 -- Simon McVittie <smcv@debian.org>  Sun, 01 Mar 2020 21:44:08 +0000

gtk+4.0 (3.96.0-2) experimental; urgency=medium

  * Team upload
  * Mark patches as applied upstream
  * Don't run dh_missing against debian/install/udeb when not building
    the udeb. This fixes FTBFS in Architecture: all-only builds.
  * Disable Wayland backend on non-Linux kernels

 -- Simon McVittie <smcv@debian.org>  Sat, 27 Jul 2019 20:47:51 +0100

gtk+4.0 (3.96.0-1) experimental; urgency=medium

  * Team upload

  [ Jeremy Bicha ]
  * New upstream release 3.92
  * Switch to meson
  * README has been renamed to README.md
  * debian/libgtk-4-0.symbols: Update
  * debian/libgtk-4-common.install.in: themes are bundled in the gtkresources
  * Disable 018_gdkenumtypes.c_location.patch: might not be needed any more
  * Update Vcs fields for migration to https://salsa.debian.org/
  * Stop using gnome-get-source

  [ Simon McVittie ]
  * New upstream release 3.94, 3.96
    - Update build-dependencies
    - d/copyright: Update
    - d/patches: Delete patches that aren't applied
    - Refresh patch series and drop applied patches
    - d/p/gdk-x11-Check-if-we-have-access-to-GL-before-using-G.patch:
      Drop, obsoleted by commit 02eb344 in GTK 3.93
    - d/p/no-accessibility-dump.patch: Drop, no longer needed.
      The build-time tests correctly set GTK_CSD=1 now.
    - Disable GStreamer video support for now
    - Stop installing gtk4-query-immodules, superseded by gio-querymodules
    - Don't install im-multipress.conf, no longer available (the multipress
      IM module is unmaintained and was removed). Remove obsolete conffile
      during upgrade.
    - d/libgtk-4-0.install.in: Don't install IM modules. The backend IM
      modules such as XIM and Wayland are now linked into GTK itself,
      while non-backend IM modules have been removed.
    - d/rules: Update Meson options, mostly removing enable- prefix
    - d/libgtk-4-0.symbols: Update
    - Update lists of installed files
  * d/patches: Refresh remaining patches through gbp pq
    - Get date/author information from d/changelog where needed
  * Generate a dependency on a virtual package that reflects the unstable
    SONAME, currently libgtk-4-0.9400.0, and Provide that virtual package
    from libgtk-4-0. This avoids repeated package renames while the ABI
    of GTK 4 remains unstable.
  * gir1.2-gtk-4.0: Add Provides for gir1.2-gdk-4.0, gir1.2-gdkx11-4.0
    and gir1.2-gsk-4.0 to reflect its contents
  * d/libgtk-4-0.postinst.in: Run gio-querymodules for IM modules
    and print backends
  * libgtk-4-dev: Add missing dependency on libvulkan-dev (thanks,
    autopkgtest) (Closes: #910640)
  * libgtk-4-0.postrm.in: Remove the correct cache files
  * Drop support for OLD_MODULES_BASE_PATH. GTK 4 has never supported
    modules in the non-multiarch location.
  * Run tests under Xvfb with GLX available (see #874077)
  * Build installed-tests and run them as autopkgtests (similar to #908440)
    - Install them in gtk-4-examples for now to avoid the NEW queue
    - Mark them as flaky for now
  * d/tests/control: Mark python3-gi as flaky until python3-gi overrides
    get updated for the rename of Gdk.Window to Gdk.Surface
  * d/tests/build: Update for GTK 4.0
  * Canonicalize permissions of debian/rules
  * Normalize various packaging files with wrap-and-sort -a
  * Remove obsolete debian/*.install files from GTK 3
  * List installed but unpackaged files in d/not-installed
  * d/rules: Defang dh_auto_test when built with nocheck
  * Stop using Priority: extra
  * d/missing-sources: Remove, no longer needed
  * Fix generation of README.md.gz symlinks
  * d/gbp.conf: Import configuration from glib2.0
  * d/rules: Generate files from .in counterparts for every package,
    not just the ones we are going to build. This avoids dh_missing
    false positives for files that would have gone into packages not
    included in the current build, for example libgtk-4-common during
    an amd64-only build.
  * Remove autoconf-archive B-D
  * Don't build udebs if built with noudeb build-profile
  * Add test-dependency on xvfb so we can run the built program
  * Change library name (and download location) from GTK+ to GTK,
    following upstream re-branding
  * Add Build-Depends-Package to symbols file
  * d/p/testsuite-Remove-dangling-references-to-box-packing-tests.patch:
    Fix dangling references to removed box-packing tests
  * d/p/gtk4.pc-Move-third-party-libraries-from-Libs-to-Libs.priv.patch:
    Improve .pc file to avoid over-linking (and Lintian false-positives)
  * Use debhelper-compat 12
  * Remove infrastructure for dealing with reftests that are known to fail
  * d/not-installed: Remove
  * d/rules: Fail the build if anything from the deb build is not installed
  * Only install AUTHORS in -doc package
  * Install documentation in /usr/share/gtk-doc, with symlinks in /u/s/doc.
    gtk-doc documentation is technically part of the package's functional
    interface, since other packages use it to adjust cross-references.
  * Standards-Version: 4.4.0 (no changes required)
  * Set Rules-Requires-Root to no

  [ Laurent Bigonville ]
  * Add Closes statement for #910640

 -- Simon McVittie <smcv@debian.org>  Thu, 18 Jul 2019 09:22:44 +0100

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog libgtk-4-common`.
